import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/energy/energyDevice` + url, ...arg)

export default {
	getEnergyDevicePage(data) {
		return request('/page', data, 'get')
	},
	addEnergyDevice(data) {
		return request('/add', data, 'post')
	},
	editEnergyDevice(data) {
		return request('/edit', data, 'post')
	},
	delEnergyDevice(data) {
		return request('/delete', data, 'post')
	},
	getEnergyDeviceCount(data) {
		return request('/deviceCount', data, 'get')
	},
	getEnergyTypeList(data) {
		return request('/deviceTypeSelector', data, 'get')
	}
}
